Name:           ritopt
Version:        0.2.1
Release:        1%{?dist}
Summary:        A Java library for parsing command-line options
License:        GPLv3
Group:          Development/Tools
Url:            http://ritopt.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}-all.tar.gz

Requires:       java >= 0:1.4.2

BuildRequires:  ant, ant-nodeps
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  texlive-latex
BuildRequires:  dos2unix

BuildArch:      noarch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils

BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
Ritopt is an options parser for the Java programming language

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation
%description javadoc
Documentation for the ritopt library

%prep
%setup -q 
dos2unix NEWS ChangeLog AUTHORS README

%build
# Upstream uses autotools, but it's easier just to call the commands directly

# Compile the classes and make a jar file
mkdir classes
javac -d classes -source 1.5 -target 1.5 java/gnu/dtools/ritopt/*.java
cd classes
jar cvf %{name}-%{version}.jar gnu
cd ..

# Generate the javadoc
mkdir javadoc
javadoc -d javadoc java/gnu/dtools/ritopt/*.java

# Latex the documentation
cd tut
pdflatex tutorial.tex

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}%{_javadocdir}/
mv javadoc ${RPM_BUILD_ROOT}%{_javadocdir}/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p classes/%{name}-%{version}.jar  $RPM_BUILD_ROOT%{_javadir}/
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
%add_to_maven_depmap gnu.dtools.ritopt %{name} %{version} JPP %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%doc tut/tutorial.pdf AUTHORS ChangeLog NEWS README
%{_javadir}/*.jar
%config(noreplace) %{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}-%{version}

%changelog
* Wed Jan 28 2009 Mary Ellen Foster <mefoster at gmail.com> - 0.2.1-1
- Initial package
